/*______________________________________________________________________________
 |                                                                              |
 |  1964 - Globals                                                              |
 |  Copyright (C) 2000 Joel Middendorf, <schibo@emuhq.com>                      |
 |                                                                              |
 |  This program is free software; you can redistribute it and/or               |
 |  modify it under the terms of the GNU General Public License                 |
 |  as published by the Free Software Foundation; either version 2              |
 |  of the License, or (at your option) any later version.                      |
 |                                                                              |
 |  This program is distributed in the hope that it will be useful,             |
 |  but WITHOUT ANY WARRANTY; without even the implied warranty of              |
 |  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the               |
 |  GNU General Public License for more details.                                |
 |                                                                              |
 |  You should have received a copy of the GNU General Public License           |
 |  along with this program; if not, write to the Free Software                 |
 |  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA. |
 |                                                                              |
 |  To contact the author:                                                      |
 |  email      : schibo@emuhq.com                                               |
 |  paper mail :                                                                |
 |______________________________________________________________________________|
*/

#include <windows.h>
#include "globals.h"
#include "plugins.h"

HardwareState gHardwareState;

uint8* sDWORD_R[0xFFFF];
uint8* sDYN_PC_LOOKUP[0xFFFF];

uint32* LocationJumpedFrom;
uint32* InstructionPointer;
uint32 KEEP_RECOMPILING;
uint8* Block;

uint32  CPUdelayPC;
uint32  CPUdelay;

tlb_struct      TLB[MAXTLB];

uint32 DPC[8];
uint32 DPS[4];
uint32 MI[4];
uint32 VI[14];
uint32 AI[6];
uint32 PI[13];
uint32 RI[8];
uint32 SI[7];
uint32 RDREG[262144];
uint32 SP_REG[131074];
uint32 DynaSP_REG[131074];
uint32 C2A1[512];
uint32 C1A1[512];
uint32 C2A2[512];
uint32 GIO_REG[513];
uint8 DynaRDRAM[0x00400000];
uint8 RDRAM[0x00400000];
uint8  PIF[4096];
uint8* ROM_Image;

uint32 gAllocationLength;

GFX_INFO Gfx_Info;

int DebuggerEnabled;    /* Flag to toggle debug printing on/off */
